Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4825 in orxonox.OLD


Ignore:
Timestamp:
Jul 8, 2005, 4:58:11 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: compile with the ogg, and vorbis lib again

Location:
orxonox/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r4789 r4825  
    16021602fi
    16031603
    1604 if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
     1604if mkdir -p -- . 2>/dev/null; then
    16051605  # Keeping the `.' argument allows $(mkdir_p) to be used without
    16061606  # argument.  Indeed, we sometimes output rules like
     
    16151615  # directories to create, and then abort because `.' already
    16161616  # exists.
    1617   for d in ./-p ./--version;
     1617  for d in ./-p ./--;
    16181618  do
    16191619    test -d $d && rmdir $d
     
    25212521    for i in 1 2 3 4 5 6; do
    25222522      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    2523       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    2524       # Solaris 8's {/usr,}/bin/sh.
    2525       touch sub/conftst$i.h
     2523      : > sub/conftst$i.h
    25262524    done
    25272525    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    25512549       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    25522550      # icc doesn't choke on unknown options, it will just issue warnings
    2553       # or remarks (even with -Werror).  So we grep stderr for any message
    2554       # that says an option was ignored or not supported.
    2555       # When given -MP, icc 7.0 and 7.1 complain thusly:
    2556       #   icc: Command line warning: ignoring option '-M'; no argument required
    2557       # The diagnosis changed in icc 8.0:
    2558       #   icc: Command line remark: option '-MP' not supported
    2559       if (grep 'ignoring option' conftest.err ||
    2560           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
     2551      # (even with -Werror).  So we grep stderr for any message
     2552      # that says an option was ignored.
     2553      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
    25612554        am_cv_CXX_dependencies_compiler_type=$depmode
    25622555        break
     
    34393432    for i in 1 2 3 4 5 6; do
    34403433      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    3441       # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
    3442       # Solaris 8's {/usr,}/bin/sh.
    3443       touch sub/conftst$i.h
     3434      : > sub/conftst$i.h
    34443435    done
    34453436    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    34693460       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    34703461      # icc doesn't choke on unknown options, it will just issue warnings
    3471       # or remarks (even with -Werror).  So we grep stderr for any message
    3472       # that says an option was ignored or not supported.
    3473       # When given -MP, icc 7.0 and 7.1 complain thusly:
    3474       #   icc: Command line warning: ignoring option '-M'; no argument required
    3475       # The diagnosis changed in icc 8.0:
    3476       #   icc: Command line remark: option '-MP' not supported
    3477       if (grep 'ignoring option' conftest.err ||
    3478           grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
     3462      # (even with -Werror).  So we grep stderr for any message
     3463      # that says an option was ignored.
     3464      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
    34793465        am_cv_CC_dependencies_compiler_type=$depmode
    34803466        break
     
    42904276## checking for openGL-environment and other sys-specific parameters
    42914277case "$target" in
     4278
     4279###########
    42924280#---------#
    42934281# WINDOWS #
    42944282#---------#
     4283###########
    42954284  *-*-mingw32*)
    42964285echo "mingw-WINDOWS detected"
     
    55035492     fi
    55045493    ;;
     5494
     5495#########
    55055496#-------#
    55065497# LINUX #
    55075498#-------#
     5499#########
    55085500 *-*-linux*)
    55095501echo "Linux detected"
     
    65296521    ;;
    65306522
     6523#############
    65316524#-----------#
    65326525# MAC -OS X #
    65336526#-----------#
     6527#############
    65346528 *darwin*)
    65356529 echo "OS X detected"
     
    76577651# ogg #
    76587652#-----#
    7659 ## checking for ogg-headers
    7660 #  AC_CHECK_HEADERS([ogg/ogg.h] ,,
    7661 #      [AC_MSG_ERROR([cannot find ogg header.])])
    7662 ## checking for ogg-lib
    7663 #  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
    7664 #     if test x$FOUND_ogg = xyes ; then
    7665 #       LIBS="$LIBS -logg"
    7666 #     else
    7667 #        echo "------------------"
    7668 #        echo "ogg library not found."
    7669 #        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7670 #        echo "------------------"
    7671 #        exit -1
    7672 #     fi
     7653# checking for ogg-headers
     7654
     7655for ac_header in ogg/ogg.h
     7656do
     7657as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7658if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7659  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7660echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7661if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7662  echo $ECHO_N "(cached) $ECHO_C" >&6
     7663fi
     7664echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7665echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7666else
     7667  # Is the header compilable?
     7668echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7669echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7670cat >conftest.$ac_ext <<_ACEOF
     7671/* confdefs.h.  */
     7672_ACEOF
     7673cat confdefs.h >>conftest.$ac_ext
     7674cat >>conftest.$ac_ext <<_ACEOF
     7675/* end confdefs.h.  */
     7676$ac_includes_default
     7677#include <$ac_header>
     7678_ACEOF
     7679rm -f conftest.$ac_objext
     7680if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7681  (eval $ac_compile) 2>conftest.er1
     7682  ac_status=$?
     7683  grep -v '^ *+' conftest.er1 >conftest.err
     7684  rm -f conftest.er1
     7685  cat conftest.err >&5
     7686  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7687  (exit $ac_status); } &&
     7688         { ac_try='test -z "$ac_c_werror_flag"
     7689                         || test ! -s conftest.err'
     7690  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7691  (eval $ac_try) 2>&5
     7692  ac_status=$?
     7693  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7694  (exit $ac_status); }; } &&
     7695         { ac_try='test -s conftest.$ac_objext'
     7696  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7697  (eval $ac_try) 2>&5
     7698  ac_status=$?
     7699  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7700  (exit $ac_status); }; }; then
     7701  ac_header_compiler=yes
     7702else
     7703  echo "$as_me: failed program was:" >&5
     7704sed 's/^/| /' conftest.$ac_ext >&5
     7705
     7706ac_header_compiler=no
     7707fi
     7708rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7709echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7710echo "${ECHO_T}$ac_header_compiler" >&6
     7711
     7712# Is the header present?
     7713echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7714echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7715cat >conftest.$ac_ext <<_ACEOF
     7716/* confdefs.h.  */
     7717_ACEOF
     7718cat confdefs.h >>conftest.$ac_ext
     7719cat >>conftest.$ac_ext <<_ACEOF
     7720/* end confdefs.h.  */
     7721#include <$ac_header>
     7722_ACEOF
     7723if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7724  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7725  ac_status=$?
     7726  grep -v '^ *+' conftest.er1 >conftest.err
     7727  rm -f conftest.er1
     7728  cat conftest.err >&5
     7729  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7730  (exit $ac_status); } >/dev/null; then
     7731  if test -s conftest.err; then
     7732    ac_cpp_err=$ac_c_preproc_warn_flag
     7733    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7734  else
     7735    ac_cpp_err=
     7736  fi
     7737else
     7738  ac_cpp_err=yes
     7739fi
     7740if test -z "$ac_cpp_err"; then
     7741  ac_header_preproc=yes
     7742else
     7743  echo "$as_me: failed program was:" >&5
     7744sed 's/^/| /' conftest.$ac_ext >&5
     7745
     7746  ac_header_preproc=no
     7747fi
     7748rm -f conftest.err conftest.$ac_ext
     7749echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7750echo "${ECHO_T}$ac_header_preproc" >&6
     7751
     7752# So?  What about this header?
     7753case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7754  yes:no: )
     7755    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7756echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7757    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7758echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7759    ac_header_preproc=yes
     7760    ;;
     7761  no:yes:* )
     7762    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7763echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7764    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7765echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7766    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7767echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7768    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7769echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7770    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7771echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7772    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7773echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7774    (
     7775      cat <<\_ASBOX
     7776## ---------------------------------------------- ##
     7777## Report this to orxonox-dev at mail.datacore.ch ##
     7778## ---------------------------------------------- ##
     7779_ASBOX
     7780    ) |
     7781      sed "s/^/$as_me: WARNING:     /" >&2
     7782    ;;
     7783esac
     7784echo "$as_me:$LINENO: checking for $ac_header" >&5
     7785echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7786if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7787  echo $ECHO_N "(cached) $ECHO_C" >&6
     7788else
     7789  eval "$as_ac_Header=\$ac_header_preproc"
     7790fi
     7791echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7792echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7793
     7794fi
     7795if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7796  cat >>confdefs.h <<_ACEOF
     7797#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7798_ACEOF
     7799
     7800else
     7801  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
     7802echo "$as_me: error: cannot find ogg header." >&2;}
     7803   { (exit 1); exit 1; }; }
     7804fi
     7805
     7806done
     7807
     7808# checking for ogg-lib
     7809  echo "$as_me:$LINENO: checking for main in -logg" >&5
     7810echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
     7811if test "${ac_cv_lib_ogg_main+set}" = set; then
     7812  echo $ECHO_N "(cached) $ECHO_C" >&6
     7813else
     7814  ac_check_lib_save_LIBS=$LIBS
     7815LIBS="-logg  $LIBS"
     7816cat >conftest.$ac_ext <<_ACEOF
     7817/* confdefs.h.  */
     7818_ACEOF
     7819cat confdefs.h >>conftest.$ac_ext
     7820cat >>conftest.$ac_ext <<_ACEOF
     7821/* end confdefs.h.  */
     7822
     7823
     7824int
     7825main ()
     7826{
     7827main ();
     7828  ;
     7829  return 0;
     7830}
     7831_ACEOF
     7832rm -f conftest.$ac_objext conftest$ac_exeext
     7833if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7834  (eval $ac_link) 2>conftest.er1
     7835  ac_status=$?
     7836  grep -v '^ *+' conftest.er1 >conftest.err
     7837  rm -f conftest.er1
     7838  cat conftest.err >&5
     7839  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7840  (exit $ac_status); } &&
     7841         { ac_try='test -z "$ac_c_werror_flag"
     7842                         || test ! -s conftest.err'
     7843  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7844  (eval $ac_try) 2>&5
     7845  ac_status=$?
     7846  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7847  (exit $ac_status); }; } &&
     7848         { ac_try='test -s conftest$ac_exeext'
     7849  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7850  (eval $ac_try) 2>&5
     7851  ac_status=$?
     7852  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7853  (exit $ac_status); }; }; then
     7854  ac_cv_lib_ogg_main=yes
     7855else
     7856  echo "$as_me: failed program was:" >&5
     7857sed 's/^/| /' conftest.$ac_ext >&5
     7858
     7859ac_cv_lib_ogg_main=no
     7860fi
     7861rm -f conftest.err conftest.$ac_objext \
     7862      conftest$ac_exeext conftest.$ac_ext
     7863LIBS=$ac_check_lib_save_LIBS
     7864fi
     7865echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
     7866echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
     7867if test $ac_cv_lib_ogg_main = yes; then
     7868  FOUND_ogg=yes
     7869fi
     7870
     7871     if test x$FOUND_ogg = xyes ; then
     7872       LIBS="$LIBS -logg"
     7873     else
     7874        echo "------------------"
     7875        echo "ogg library not found."
     7876        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7877        echo "------------------"
     7878        exit -1
     7879     fi
    76737880
    76747881#--------#
    76757882# vorbis #
    76767883#--------#
    7677 ## checking for vorbis-lib
    7678 #  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
    7679 #     if test x$FOUND_vorbis = xyes ; then
    7680 #       LIBS="$LIBS -lvorbis"
    7681 #     else
    7682 #        echo "------------------"
    7683 #        echo "vorbis library not found."
    7684 #        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7685 #        echo "------------------"
    7686 #        exit -1
    7687 #     fi
     7884# checking for vorbis-lib
     7885  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
     7886echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
     7887if test "${ac_cv_lib_vorbis_main+set}" = set; then
     7888  echo $ECHO_N "(cached) $ECHO_C" >&6
     7889else
     7890  ac_check_lib_save_LIBS=$LIBS
     7891LIBS="-lvorbis  $LIBS"
     7892cat >conftest.$ac_ext <<_ACEOF
     7893/* confdefs.h.  */
     7894_ACEOF
     7895cat confdefs.h >>conftest.$ac_ext
     7896cat >>conftest.$ac_ext <<_ACEOF
     7897/* end confdefs.h.  */
     7898
     7899
     7900int
     7901main ()
     7902{
     7903main ();
     7904  ;
     7905  return 0;
     7906}
     7907_ACEOF
     7908rm -f conftest.$ac_objext conftest$ac_exeext
     7909if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7910  (eval $ac_link) 2>conftest.er1
     7911  ac_status=$?
     7912  grep -v '^ *+' conftest.er1 >conftest.err
     7913  rm -f conftest.er1
     7914  cat conftest.err >&5
     7915  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7916  (exit $ac_status); } &&
     7917         { ac_try='test -z "$ac_c_werror_flag"
     7918                         || test ! -s conftest.err'
     7919  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7920  (eval $ac_try) 2>&5
     7921  ac_status=$?
     7922  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7923  (exit $ac_status); }; } &&
     7924         { ac_try='test -s conftest$ac_exeext'
     7925  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7926  (eval $ac_try) 2>&5
     7927  ac_status=$?
     7928  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7929  (exit $ac_status); }; }; then
     7930  ac_cv_lib_vorbis_main=yes
     7931else
     7932  echo "$as_me: failed program was:" >&5
     7933sed 's/^/| /' conftest.$ac_ext >&5
     7934
     7935ac_cv_lib_vorbis_main=no
     7936fi
     7937rm -f conftest.err conftest.$ac_objext \
     7938      conftest$ac_exeext conftest.$ac_ext
     7939LIBS=$ac_check_lib_save_LIBS
     7940fi
     7941echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
     7942echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
     7943if test $ac_cv_lib_vorbis_main = yes; then
     7944  FOUND_vorbis=yes
     7945fi
     7946
     7947     if test x$FOUND_vorbis = xyes ; then
     7948       LIBS="$LIBS -lvorbis"
     7949     else
     7950        echo "------------------"
     7951        echo "vorbis library not found."
     7952        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7953        echo "------------------"
     7954        exit -1
     7955     fi
    76887956
    76897957#------------#
    76907958# vorbisfile #
    76917959#------------#
    7692 ## checking for vorbis-headers
    7693 #  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
    7694 #      [AC_MSG_ERROR([cannot find vorbisfile header.])])
    7695 ## checking for vorbisfile-lib
    7696 #  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
    7697 #     if test x$FOUND_vorbisfile = xyes ; then
    7698 #       LIBS="$LIBS -lvorbisfile"
    7699 #     else
    7700 #        echo "------------------"
    7701 #        echo "vorbisfile library not found."
    7702 #        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7703 #        echo "------------------"
    7704 #        exit -1
    7705 #     fi
     7960# checking for vorbis-headers
     7961
     7962for ac_header in vorbis/vorbisfile.h
     7963do
     7964as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7965if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7966  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7967echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7968if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7969  echo $ECHO_N "(cached) $ECHO_C" >&6
     7970fi
     7971echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7972echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7973else
     7974  # Is the header compilable?
     7975echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7976echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7977cat >conftest.$ac_ext <<_ACEOF
     7978/* confdefs.h.  */
     7979_ACEOF
     7980cat confdefs.h >>conftest.$ac_ext
     7981cat >>conftest.$ac_ext <<_ACEOF
     7982/* end confdefs.h.  */
     7983$ac_includes_default
     7984#include <$ac_header>
     7985_ACEOF
     7986rm -f conftest.$ac_objext
     7987if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7988  (eval $ac_compile) 2>conftest.er1
     7989  ac_status=$?
     7990  grep -v '^ *+' conftest.er1 >conftest.err
     7991  rm -f conftest.er1
     7992  cat conftest.err >&5
     7993  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7994  (exit $ac_status); } &&
     7995         { ac_try='test -z "$ac_c_werror_flag"
     7996                         || test ! -s conftest.err'
     7997  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7998  (eval $ac_try) 2>&5
     7999  ac_status=$?
     8000  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8001  (exit $ac_status); }; } &&
     8002         { ac_try='test -s conftest.$ac_objext'
     8003  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8004  (eval $ac_try) 2>&5
     8005  ac_status=$?
     8006  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8007  (exit $ac_status); }; }; then
     8008  ac_header_compiler=yes
     8009else
     8010  echo "$as_me: failed program was:" >&5
     8011sed 's/^/| /' conftest.$ac_ext >&5
     8012
     8013ac_header_compiler=no
     8014fi
     8015rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     8016echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     8017echo "${ECHO_T}$ac_header_compiler" >&6
     8018
     8019# Is the header present?
     8020echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8021echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8022cat >conftest.$ac_ext <<_ACEOF
     8023/* confdefs.h.  */
     8024_ACEOF
     8025cat confdefs.h >>conftest.$ac_ext
     8026cat >>conftest.$ac_ext <<_ACEOF
     8027/* end confdefs.h.  */
     8028#include <$ac_header>
     8029_ACEOF
     8030if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8031  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8032  ac_status=$?
     8033  grep -v '^ *+' conftest.er1 >conftest.err
     8034  rm -f conftest.er1
     8035  cat conftest.err >&5
     8036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8037  (exit $ac_status); } >/dev/null; then
     8038  if test -s conftest.err; then
     8039    ac_cpp_err=$ac_c_preproc_warn_flag
     8040    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     8041  else
     8042    ac_cpp_err=
     8043  fi
     8044else
     8045  ac_cpp_err=yes
     8046fi
     8047if test -z "$ac_cpp_err"; then
     8048  ac_header_preproc=yes
     8049else
     8050  echo "$as_me: failed program was:" >&5
     8051sed 's/^/| /' conftest.$ac_ext >&5
     8052
     8053  ac_header_preproc=no
     8054fi
     8055rm -f conftest.err conftest.$ac_ext
     8056echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8057echo "${ECHO_T}$ac_header_preproc" >&6
     8058
     8059# So?  What about this header?
     8060case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     8061  yes:no: )
     8062    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8063echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8064    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8065echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8066    ac_header_preproc=yes
     8067    ;;
     8068  no:yes:* )
     8069    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8070echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8071    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8072echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8073    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8074echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8075    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8076echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8077    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8078echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8079    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8080echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8081    (
     8082      cat <<\_ASBOX
     8083## ---------------------------------------------- ##
     8084## Report this to orxonox-dev at mail.datacore.ch ##
     8085## ---------------------------------------------- ##
     8086_ASBOX
     8087    ) |
     8088      sed "s/^/$as_me: WARNING:     /" >&2
     8089    ;;
     8090esac
     8091echo "$as_me:$LINENO: checking for $ac_header" >&5
     8092echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8093if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8094  echo $ECHO_N "(cached) $ECHO_C" >&6
     8095else
     8096  eval "$as_ac_Header=\$ac_header_preproc"
     8097fi
     8098echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8099echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8100
     8101fi
     8102if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8103  cat >>confdefs.h <<_ACEOF
     8104#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8105_ACEOF
     8106
     8107else
     8108  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
     8109echo "$as_me: error: cannot find vorbisfile header." >&2;}
     8110   { (exit 1); exit 1; }; }
     8111fi
     8112
     8113done
     8114
     8115# checking for vorbisfile-lib
     8116  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
     8117echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
     8118if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
     8119  echo $ECHO_N "(cached) $ECHO_C" >&6
     8120else
     8121  ac_check_lib_save_LIBS=$LIBS
     8122LIBS="-lvorbisfile  $LIBS"
     8123cat >conftest.$ac_ext <<_ACEOF
     8124/* confdefs.h.  */
     8125_ACEOF
     8126cat confdefs.h >>conftest.$ac_ext
     8127cat >>conftest.$ac_ext <<_ACEOF
     8128/* end confdefs.h.  */
     8129
     8130
     8131int
     8132main ()
     8133{
     8134main ();
     8135  ;
     8136  return 0;
     8137}
     8138_ACEOF
     8139rm -f conftest.$ac_objext conftest$ac_exeext
     8140if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     8141  (eval $ac_link) 2>conftest.er1
     8142  ac_status=$?
     8143  grep -v '^ *+' conftest.er1 >conftest.err
     8144  rm -f conftest.er1
     8145  cat conftest.err >&5
     8146  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8147  (exit $ac_status); } &&
     8148         { ac_try='test -z "$ac_c_werror_flag"
     8149                         || test ! -s conftest.err'
     8150  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8151  (eval $ac_try) 2>&5
     8152  ac_status=$?
     8153  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8154  (exit $ac_status); }; } &&
     8155         { ac_try='test -s conftest$ac_exeext'
     8156  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8157  (eval $ac_try) 2>&5
     8158  ac_status=$?
     8159  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8160  (exit $ac_status); }; }; then
     8161  ac_cv_lib_vorbisfile_main=yes
     8162else
     8163  echo "$as_me: failed program was:" >&5
     8164sed 's/^/| /' conftest.$ac_ext >&5
     8165
     8166ac_cv_lib_vorbisfile_main=no
     8167fi
     8168rm -f conftest.err conftest.$ac_objext \
     8169      conftest$ac_exeext conftest.$ac_ext
     8170LIBS=$ac_check_lib_save_LIBS
     8171fi
     8172echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
     8173echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
     8174if test $ac_cv_lib_vorbisfile_main = yes; then
     8175  FOUND_vorbisfile=yes
     8176fi
     8177
     8178     if test x$FOUND_vorbisfile = xyes ; then
     8179       LIBS="$LIBS -lvorbisfile"
     8180     else
     8181        echo "------------------"
     8182        echo "vorbisfile library not found."
     8183        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     8184        echo "------------------"
     8185        exit -1
     8186     fi
    77068187
    77078188#-----#
     
    1035510836  # Extract the definition of DEP_FILES from the Makefile without
    1035610837  # running `make'.
    10357   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
     10838  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
    1035810839  test -z "$DEPDIR" && continue
    1035910840  # When using ansi2knr, U may be empty or an underscore; expand it
    10360   U=`sed -n 's/^U = //p' < "$mf"`
     10841  U=`sed -n -e '/^U = / s///p' < "$mf"`
    1036110842  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
    1036210843  # We invoke sed twice because it is the simplest approach to
    1036310844  # changing $(DEPDIR) to its actual value in the expansion.
    10364   for file in `sed -n '
     10845  for file in `sed -n -e '
    1036510846    /^DEP_FILES = .*\\\\$/ {
    1036610847      s/^DEP_FILES = //
  • orxonox/trunk/configure.ac

    r4789 r4825  
    226226## checking for openGL-environment and other sys-specific parameters
    227227case "$target" in
     228
     229###########
    228230#---------#
    229231# WINDOWS #
    230232#---------#
     233###########
    231234  *-*-mingw32*)
    232235echo "mingw-WINDOWS detected"
     
    330333     fi
    331334    ;;
     335
     336#########
    332337#-------#
    333338# LINUX #
    334339#-------#
     340#########
    335341 *-*-linux*)
    336342echo "Linux detected"
     
    401407    ;;
    402408
     409#############
    403410#-----------#
    404411# MAC -OS X #
    405412#-----------#
     413#############
    406414 *darwin*)
    407415 echo "OS X detected"
     
    491499# ogg #
    492500#-----#
    493 ## checking for ogg-headers
    494 #  AC_CHECK_HEADERS([ogg/ogg.h] ,,
    495 #      [AC_MSG_ERROR([cannot find ogg header.])])
    496 ## checking for ogg-lib
    497 #  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
    498 #     if test x$FOUND_ogg = xyes ; then
    499 #       LIBS="$LIBS -logg"
    500 #     else
    501 #        echo "------------------"
    502 #        echo "ogg library not found."
    503 #        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    504 #        echo "------------------"
    505 #        exit -1
    506 #     fi
     501# checking for ogg-headers
     502  AC_CHECK_HEADERS([ogg/ogg.h] ,,
     503      [AC_MSG_ERROR([cannot find ogg header.])])
     504# checking for ogg-lib
     505  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
     506     if test x$FOUND_ogg = xyes ; then
     507       LIBS="$LIBS -logg"
     508     else
     509        echo "------------------"
     510        echo "ogg library not found."
     511        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     512        echo "------------------"
     513        exit -1
     514     fi
    507515
    508516#--------#
    509517# vorbis #
    510518#--------#
    511 ## checking for vorbis-lib
    512 #  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
    513 #     if test x$FOUND_vorbis = xyes ; then
    514 #       LIBS="$LIBS -lvorbis"
    515 #     else
    516 #        echo "------------------"
    517 #        echo "vorbis library not found."
    518 #        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    519 #        echo "------------------"
    520 #        exit -1
    521 #     fi
     519# checking for vorbis-lib
     520  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
     521     if test x$FOUND_vorbis = xyes ; then
     522       LIBS="$LIBS -lvorbis"
     523     else
     524        echo "------------------"
     525        echo "vorbis library not found."
     526        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     527        echo "------------------"
     528        exit -1
     529     fi
    522530
    523531#------------#
    524532# vorbisfile #
    525533#------------#
    526 ## checking for vorbis-headers
    527 #  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
    528 #      [AC_MSG_ERROR([cannot find vorbisfile header.])])
    529 ## checking for vorbisfile-lib
    530 #  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
    531 #     if test x$FOUND_vorbisfile = xyes ; then
    532 #       LIBS="$LIBS -lvorbisfile"
    533 #     else
    534 #        echo "------------------"
    535 #        echo "vorbisfile library not found."
    536 #        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    537 #        echo "------------------"
    538 #        exit -1
    539 #     fi
     534# checking for vorbis-headers
     535  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
     536      [AC_MSG_ERROR([cannot find vorbisfile header.])])
     537# checking for vorbisfile-lib
     538  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
     539     if test x$FOUND_vorbisfile = xyes ; then
     540       LIBS="$LIBS -lvorbisfile"
     541     else
     542        echo "------------------"
     543        echo "vorbisfile library not found."
     544        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     545        echo "------------------"
     546        exit -1
     547     fi
    540548
    541549#-----#
Note: See TracChangeset for help on using the changeset viewer.